GRINGO(1)

NAME
gringo - a grounder for non-ground logic programs

SYNOPSIS
gringo [OPTION]... [FILE]...

DESCRIPTION
This manual page documents briefly the gringo command.

gringo is a grounder that, given an input program with first-order variables, computes an equivalent ground (variable-free) program in aspif format. Its output can be processed further with answer set solver clasp. Starting with gringo series 5, its output is no longer directly compatible with solvers like smodels or cmodels reading smodels format. Use the lpconvert converter for translating aspif format to smodels format.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the potassco-guide at https://sourceforge.net/projects/potassco/files/guide/.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

SEE ALSO
clasp(1), clingo(1), lpconvert(1), reify(1)

AUTHOR
gringo was written by Roland Kaminski <kaminski@cs.uni-potsdam.de>

This manual page was written by Thomas Krennwallner <tkren@kr.tuwien.ac.at>, for the Debian project (and may be used by others).